#include "MC.h"

namespace MM
{

Text MC::
title () const
{
    return Text() + "MC: " + method_().title();
}

void MC::
start ()
{
    algorithm().description (Text("start  ") + title());
    stop_flag_ = false;
    method_().start();
}

void MC::finish     ()
{
    //method_->finish ();
    stop_.publish ();
    algorithm().set_on (true);
    algorithm().description (Text("finish ") + title());
}

}//MM

